Package fr.gouv.vitam.common.database.parser.facet

# Class FacetParserHelper

java.lang.Object
fr.gouv.vitam.common.database.builder.facet.FacetHelper
fr.gouv.vitam.common.database.parser.facet.FacetParserHelper

public class FacetParserHelper extends FacetHelper
Facet from Parser Helper

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FacetParserHelper()`
  Construction

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final Facet`
  `cardinality(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter)`
  Transform facet jsonNode in cardinality Facet object
  `static final Facet`
  `count(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter)`
  Transform facet jsonNode in count Facet object
  `static final Facet`
  `dateRange(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter)`
  Transform facet jsonNode into a dateRange Facet object
  `static final Facet`
  `filters(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter)`
  Transform facet jsonNode in filters Facet object
  `static final Facet`
  `sum(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter)`
  Transform facet jsonNode in sum Facet object
  `static final Facet`
  `terms(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter)`
  Transform facet jsonNode in terms Facet object

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.facet.FacetHelper

  `cardinality, cardinality, count, count, dateRange, dateRange, filters, sum, sum, terms, terms`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetParserHelper

    protected FacetParserHelper()
    Construction

- ## Method Details

  - ### terms

    public static final Facet terms(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter) throws InvalidCreateOperationException, InvalidParseOperationException
    Transform facet jsonNode in terms Facet object
    Parameters:
      `facet` - facet node
      `adapter` - adapter
    Returns:
      terms Facet object
    Throws:
      `InvalidCreateOperationException` - error while creating terms Facet
      `InvalidParseOperationException` - error in adapater

  - ### sum

    public static final Facet sum(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter) throws InvalidCreateOperationException, InvalidParseOperationException
    Transform facet jsonNode in sum Facet object
    Parameters:
      `facet` - facet node
      `adapter` - adapter
    Returns:
      sum Facet object
    Throws:
      `InvalidCreateOperationException` - error while creating sum Facet
      `InvalidParseOperationException` - error in adapater

  - ### cardinality

    public static final Facet cardinality(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter) throws InvalidCreateOperationException, InvalidParseOperationException
    Transform facet jsonNode in cardinality Facet object
    Parameters:
      `facet` - facet node
      `adapter` - adapter
    Returns:
      count Facet object
    Throws:
      `InvalidCreateOperationException` - error while creating sum Facet
      `InvalidParseOperationException` - error in adapater

  - ### count

    public static final Facet count(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter) throws InvalidCreateOperationException, InvalidParseOperationException
    Transform facet jsonNode in count Facet object
    Parameters:
      `facet` - facet node
      `adapter` - adapter
    Returns:
      count Facet object
    Throws:
      `InvalidCreateOperationException` - error while creating sum Facet
      `InvalidParseOperationException` - error in adapater

  - ### dateRange

    public static final Facet dateRange(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter) throws InvalidCreateOperationException, InvalidParseOperationException
    Transform facet jsonNode into a dateRange Facet object
    Parameters:
      `facet` -
      `adapter` -
    Returns:
    Throws:
      `InvalidCreateOperationException`
      `InvalidParseOperationException`

  - ### filters

    public static final Facet filters(com.fasterxml.jackson.databind.JsonNode facet, VarNameAdapter adapter) throws InvalidCreateOperationException, InvalidParseOperationException
    Transform facet jsonNode in filters Facet object
    Parameters:
      `facet` - facet node
      `adapter` - adapter
    Returns:
      filters Facet object
    Throws:
      `InvalidCreateOperationException` - error while creating terms Facet
      `InvalidParseOperationException` - error in adapater